# \hhu\z\controllers\componentsAchievementComponent

Component to handle achievements.

## Summary

Methods
Properties
Constants
load()
factory()
__construct()
$models
No constants found
No protected methods found
No protected properties found
N/A
getClassName()
No private properties found
N/A

File
  controllers/components/AchievementComponent.inc
Package
  Default
Class hierarchy
  \nre\core\Component
  \hhu\z\controllers\components\AchievementComponent

## Tags

author | Oliver Hanraths oliver.hanraths@uni-duesseldorf.de

## Properties

### $models

    $models : array

Required models

#### Type

array

#

## Tags

None found

## Methods

### load()

    load(string  $componentName)

Load the class of a Component.

#### Parameters

string | $componentName | Name of the Component to load

#### Throws

\nre\exceptions\ComponentNotFoundException
\nre\exceptions\ComponentNotValidException

#

static

Inherited from
  \nre\core\Component

## Tags

None found

### factory()

    factory(string  $componentName)

Instantiate a Component (Factory Pattern).

#### Parameters

string | $componentName | Name of the Component to instantiate

#

static

Inherited from
  \nre\core\Component

## Tags

None found

### __construct()

    __construct()

Construct a new Achievements-component.

#

## Tags

None found

### getClassName()

    getClassName(string  $componentName) : string

Determine the classname for the given Component name.

#### Parameters

string | $componentName | Component name to get classname of

#### Returns

string —

Classname for the Component name

#

static

Inherited from
  \nre\core\Component

## Tags

None found

### AchievementComponent.inc